--- old/usr/src/uts/common/os/lgrp.c	2015-11-24 09:34:55.816461436 -0500
+++ new/usr/src/uts/common/os/lgrp.c	2015-11-24 09:34:55.820668616 -0500
@@ -3501,7 +3501,6 @@
 lgrp_mem_policy_info_t *
 lgrp_mem_policy_get(struct seg *seg, caddr_t vaddr)
 {
-	lgrp_mem_policy_info_t	*policy_info;
 	extern struct seg_ops	segspt_ops;
 	extern struct seg_ops	segspt_shmops;
 
@@ -3514,11 +3513,7 @@
 	    seg->s_ops != &segspt_shmops)
 		return (NULL);
 
-	policy_info = NULL;
-	if (seg->s_ops->getpolicy != NULL)
-		policy_info = segop_getpolicy(seg, vaddr);
-
-	return (policy_info);
+	return (segop_getpolicy(seg, vaddr));
 }
 
 /*
--- old/usr/src/uts/common/vm/seg_dev.c	2015-11-24 09:34:56.022829451 -0500
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-11-24 09:34:56.026623023 -0500
@@ -183,7 +183,6 @@
 		    struct page ***, enum lock_type, enum seg_rw);
 static int	segdev_setpagesize(struct seg *, caddr_t, size_t, uint_t);
 static int	segdev_getmemid(struct seg *, caddr_t, memid_t *);
-static lgrp_mem_policy_info_t	*segdev_getpolicy(struct seg *, caddr_t);
 static int	segdev_capable(struct seg *, segcapability_t);
 
 /*
@@ -212,7 +211,6 @@
 	.pagelock	= segdev_pagelock,
 	.setpagesize	= segdev_setpagesize,
 	.getmemid	= segdev_getmemid,
-	.getpolicy	= segdev_getpolicy,
 	.capable	= segdev_capable,
 };
 
@@ -4031,13 +4029,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segdev_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segdev_capable(struct seg *seg, segcapability_t capability)
 {
--- old/usr/src/uts/common/vm/seg_kmem.c	2015-11-24 09:34:56.227976840 -0500
+++ new/usr/src/uts/common/vm/seg_kmem.c	2015-11-24 09:34:56.231895309 -0500
@@ -758,13 +758,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segkmem_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segkmem_capable(struct seg *seg, segcapability_t capability)
 {
@@ -795,7 +788,6 @@
 	.pagelock	= segkmem_pagelock,
 	.setpagesize	= SEGKMEM_BADOP(int),
 	.getmemid	= segkmem_getmemid,
-	.getpolicy	= segkmem_getpolicy,
 	.capable	= segkmem_capable,
 };
 
--- old/usr/src/uts/common/vm/seg_kp.c	2015-11-24 09:34:56.374340550 -0500
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-11-24 09:34:56.378038308 -0500
@@ -95,8 +95,6 @@
 			size_t len, struct segkp_data *kpd, uint_t flags);
 static struct	segkp_data *segkp_find(struct seg *seg, caddr_t vaddr);
 static int	segkp_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segkp_getpolicy(struct seg *seg,
-    caddr_t addr);
 static int	segkp_capable(struct seg *seg, segcapability_t capability);
 
 /*
@@ -167,7 +165,6 @@
 	.pagelock	= segkp_pagelock,
 	.setpagesize	= SEGKP_BADOP(int),
 	.getmemid	= segkp_getmemid,
-	.getpolicy	= segkp_getpolicy,
 	.capable	= segkp_capable,
 };
 
@@ -1406,13 +1403,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t	*
-segkp_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segkp_capable(struct seg *seg, segcapability_t capability)
 {
--- old/usr/src/uts/common/vm/seg_map.c	2015-11-24 09:34:56.518268833 -0500
+++ new/usr/src/uts/common/vm/seg_map.c	2015-11-24 09:34:56.522282249 -0500
@@ -89,8 +89,6 @@
 			enum seg_rw rw);
 static void	segmap_badop(void);
 static int	segmap_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segmap_getpolicy(struct seg *seg,
-    caddr_t addr);
 static int	segmap_capable(struct seg *seg, segcapability_t capability);
 
 /* segkpm support */
@@ -122,7 +120,6 @@
 	.pagelock	= segmap_pagelock,
 	.setpagesize	= SEGMAP_BADOP(int),
 	.getmemid	= segmap_getmemid,
-	.getpolicy	= segmap_getpolicy,
 	.capable	= segmap_capable,
 };
 
@@ -2191,13 +2188,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segmap_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segmap_capable(struct seg *seg, segcapability_t capability)
 {
--- old/usr/src/uts/i86xpv/vm/seg_mf.c	2015-11-24 09:34:56.684550622 -0500
+++ new/usr/src/uts/i86xpv/vm/seg_mf.c	2015-11-24 09:34:56.688277388 -0500
@@ -500,13 +500,6 @@
 }
 
 /*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segmf_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
-
-/*ARGSUSED*/
 static int
 segmf_capable(struct seg *seg, segcapability_t capability)
 {
@@ -778,6 +771,5 @@
 	.pagelock	= segmf_pagelock,
 	.setpagesize	= segmf_setpagesize,
 	.getmemid	= segmf_getmemid,
-	.getpolicy	= segmf_getpolicy,
 	.capable	= segmf_capable,
 };
--- old/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-11-24 09:34:56.810429609 -0500
+++ new/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-11-24 09:34:56.814112270 -0500
@@ -79,8 +79,6 @@
 static int	segnf_setpagesize(struct seg *seg, caddr_t addr, size_t len,
 		    uint_t szc);
 static int	segnf_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static lgrp_mem_policy_info_t	*segnf_getpolicy(struct seg *seg,
-    caddr_t addr);
 
 
 struct seg_ops segnf_ops = {
@@ -109,7 +107,6 @@
 	.pagelock	= segnf_pagelock,
 	.setpagesize	= segnf_setpagesize,
 	.getmemid	= segnf_getmemid,
-	.getpolicy	= segnf_getpolicy,
 };
 
 /*
@@ -484,10 +481,3 @@
 {
 	return (ENODEV);
 }
-
-/*ARGSUSED*/
-static lgrp_mem_policy_info_t *
-segnf_getpolicy(struct seg *seg, caddr_t addr)
-{
-	return (NULL);
-}
